## Contents

- Properties

class solace.MessageRxCBInfo

Creates an instance of MessageRxCBInfo.

Deprecated: The solace.Session is an EventEmitter. Use `sessionObject.on(solace.SessionEventCode.MESSAGE)` instead.

## Constructor Top

| MessageRxCBInfo ( function messageRxCBFunction, Object userObject ) |  |

## Properties Top

function | messageRxCBFunction |  |
Object | userObject |  |

## Constructor details Top

###
MessageRxCBInfo ( function messageRxCBFunction, Object userObject )

Creates an instance of MessageRxCBInfo.

Deprecated: The solace.Session is an EventEmitter. Use `sessionObject.on(solace.SessionEventCode.MESSAGE)` instead.

#### Parameters

function | messageRxCBFunction Invoked by the API when a message is received over the session. The prototype of this function is the following: (solace.Session, solace.Message, {Object})
Object | userObject An optional user-specified object passed on every message receive callback.

## Properties Detail Top

###
public function messageRxCBFunction

The prototype of this function is the following: (solace.Session, solace.Message, userObject {Object})

###
public Object userObject

user-specified object